.TH GPIV_GETBIT 1 "7 November 2006"
.SH NAME
gpiv_getbit \- Image processing program for PIV images.
.SH SYNOPSIS

\fBgpiv_getbit\fP
[\fB-b \fIN\fR] 
[\fB-h\fR | \fB--help\fR] 
[\fB-p\fR | \fB--print\fR] 
[\fB-v\fR | \fB--version\fR] 
[\fIfilename\fR] 
< \fIstdin\fR > \fIstdout\fR

\fP

.SH DESCRIPTION

\fBgpiv_getbit\fP get the N least significant bits and moves them to
most the significant bits. This results that a weak image signal
(pixels of low value) is amplified while the high signal within the
image will be removed.

The parameters read from the configuration resources (containing the
key \fBGPIV_IMGPROC\fR) may be overruled by the command line options, as
explained below.

.SH Options 
.TP 
\fB-b \fIN\fP
Defines the bit number [0, .., 7]. Signal from 0 to \fIN\fP will be
shifted.

.TP

\fB-h\fR | \fB--help\fP
On-line help
.TP

\fB-v\fR | \fB--version\fP
Print version information on standard output, then exit successfully.
.TP 

\fIfilename\fR 
Input image filename. Overrides \fIstdin\fR and \fIstdout\fR with the full \fIfilename\fR of
the image. Output will be written to \fIfilename\fB.png\fR. Parameters
are stored in \fIfilename\fB.par\fR and may be used for future use by
including them in \fI./gpivrc\fR. If \fIstdin\fR and \fIstdout\fR are
used, the input is expected to be a PNG formatted image.
.TP


.SH SEE ALSO
gpivtools

.SH AUTHOR
Gerber Van der Graaf
